name: druid-historical
summary: Druid Historical Charm by spiculecharms
maintainer: ryan <ryan@spicule.co.uk>
description: |
  Historical Nodes encapsulate the functionality to load and serve the immutable blocks of data(segments)
  created by real-time nodes. Most of the data in Druid is immutable and typically Historical Nodes are the main workers in the cluster.
tags:
  - big_data
  - analytics
subordinate: false
series:
  - xenial
provides:
  config:
    interface: druid-config
  java:
    interface: java
    scope: container
resources:
  druid:
    type: file
    filename: druid.tar.gz
    description: "Druid distribution file"
  mysql-jar:
       type: file
       filename: mysql-connector.jar
       description: "The MySQL connector jar"
  mysql-extension:
    type: file
    filename: mysql-extension.tar.gz
    description: "MySQL Metadata Extension"

